Bug 595796 - minor sandbox manpage fixes
Summary: minor sandbox manpage fixes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: policycoreutils
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 16:02 UTC by Karel Srot
Modified: 2010-11-11 14:54 UTC (History)
2 users (show)

Fixed In Version: policycoreutils-2.0.83-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 14:54:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Karel Srot 2010-05-25 16:02:49 UTC
Description of problem:

1. Sandbox manpage has wrong formating.

SYNOPSIS
       sandbox [-l level ] [[-M | -X]  -H homedir -T tempdir ] [-I includefile ] [ -W windowmanager
       ] [[-i file ]...] [ -t type ] cmd [-l level ] [[-M |  -X]   -H  homedir  -T  tempdir  ]  [-I
       includefile ] [ -W windowmanager ] [[-i file ]...] [ -t type ] -S

The line should be terminated after the "cmd", e.g.:

SYNOPSIS
       sandbox [-l level ] [[-M | -X]  -H homedir -T tempdir ] [-I includefile ] [ -W windowmanager
       ] [[-i file ]...] [ -t type ] cmd 

       sandbox [-l level ] [[-M |  -X]   -H  homedir  -T  tempdir  ]  [-I
       includefile ] [ -W windowmanager ] [[-i file ]...] [ -t type ] -S

2. man sandbox shows "-l level" option outside [[-M | -X ...] part while
sandbox --help shows this option inside as:
sandbox [-h] [-[X|M] [-l level ] [-H homedir] [-T tempdir]]

3. -S option is not documented in sandbox manpage

Version-Release number of selected component (if applicable):
policycoreutils-2.0.82-20.el6.x86_64

Comment 1 Daniel Walsh 2010-05-27 17:49:25 UTC
Fixed in policycoreutils-2.0.82-24.el6

Comment 2 RHEL Program Management 2010-05-27 17:55:38 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 Daniel Walsh 2010-06-29 12:27:37 UTC
Fixed in  policycoreutils-2.0.82-32.el6

Comment 8 Karel Srot 2010-07-02 11:01:18 UTC
The 1st issue is still not solved. Synopsis section in the manpage still looks like:

sandbox [-l level ] [[-M | -X]  -H homedir -T tempdir ] [-I includefile ] [ -W windowmanager] [[-i file ]...] [ -t type ] cmd [-l level ] [[-M |  -X]   -H  homedir  -T  tempdir  ]  [-I includefile ] [ -W windowmanager ] [[-i file ]...] [ -t type ] -S

I took a look into the patch, probably two separated lines are not enough to split it inside SYNOPSIS section. The solution from #5 worked fine for me after the rebuild.

Clearing the Fixed In Version field.

Comment 10 Daniel Walsh 2010-07-26 15:20:06 UTC
Karel, can you check policycoreutils-2.0.82-32.el6
Fixed in policycoreutils-2.0.83-5.el6

Comment 11 Karel Srot 2010-07-27 06:57:48 UTC
Hi Dan, I have already checked policycoreutils-2.0.82-32.el6 in #c8.
I will retest policycoreutils-2.0.83-5.el6 once it is available in Brew.

Comment 12 Daniel Walsh 2010-07-27 13:37:05 UTC
I can not build it until I get the appropriate flags.  :^(

Comment 15 releng-rhel@redhat.com 2010-11-11 14:54:33 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.